# $Revision: 1.20 $, $Date: 2006/05/09 11:38:56 $
Summary:	API interface to talk to Zen Creative devices
Summary(pl):	Interfejs API do komunikacji z urzdzeniami Zen Creative
Name:		libnjb
Version:	2.2.5
Release:	2
License:	BSD
Group:		Libraries
Source0:	http://dl.sourceforge.net/libnjb/%{name}-%{version}.tar.gz
# Source0-md5:	f7461574b9a28ed1c79fb40d3d307d78
URL:		http://libnjb.sourceforge.net/
BuildRequires:	libusb-devel
BuildRequires:	ncurses-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libnjb is a C library and API for communicating with the Creative
Nomad JukeBox and Dell DJ digital audio players under BSD, Linux, Mac
OS X and Windows. The protocol these devices use is presumably called
PDE (Portable Digital Entertainment protocol) at Creative. Newer
devices using the Microsoft MTP (Media Transfer Protocol) are NOT
supported

%description -l pl
libnjb jest bibliotek C jak rwnie API uywanym do komunikacji z
Creative Nomad JukeBox i cyfrowym odtwarzaczem muzyki Dell DJ dla
platform BSD, Linux, Mac IS X i Windows. Protok jest przypuszczalnie
nazwany przez Creative PDE (Portable Digital Entertainment protocol).
Nowsze urzdzenia uywajce Microsoft MTP (Media transfer Protocol)
NIE s obsugiwane.

%package devel
Summary:	Header files for njb library
Summary(pl):	Pliki nagwkowe biblioteki libnjb
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libusb-devel

%description devel
Header files for njb library.

%description devel -l pl
Pliki nagwkowe biblioteki njb.

%package static
Summary:	Static njb library
Summary(pl):	Statyczna biblioteka njb
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static njb library.

%description static -l pl
Statyczna biblioteka njb.

%package utils
Summary:	njb utilities
Summary(pl):	Narzdzia njb
Group:		Development/Tools
Requires:	%{name}-devel = %{version}-%{release}

%description utils
Utilities for njb library.

%description utils -l pl
Narzdzia dla biblioteki njb.

%prep
%setup -q

%build
%configure
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -I/usr/include/ncurses"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/hotplug/usb

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	includedir=%{_includedir}/%{name}

install nomadjukebox $RPM_BUILD_ROOT%{_sysconfdir}/hotplug/usb
install nomad.usermap $RPM_BUILD_ROOT%{_sysconfdir}/hotplug/usb

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog FAQ HACKING README
%attr(755,root,root) %{_libdir}/libnjb.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libnjb.so
%{_libdir}/libnjb.la
%{_includedir}/%{name}
%{_pkgconfigdir}/*.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libnjb.a

%files utils
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/njb*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libnjb.spec,v $
Revision 1.20  2006/05/09 11:38:56  qboosh
- -devel R: libusb-devel

Revision 1.19  2006/05/06 16:07:29  paszczus
- release 2 for Th

Revision 1.18  2006/05/06 15:53:32  paszczus
- typo

Revision 1.17  2006/05/06 15:50:54  paszczus
- added utilies to -utils subpackage ; release 1

Revision 1.16  2006/05/05 16:28:42  zbyniu
- lib64 hack obsoleted; header file to subdir

Revision 1.15  2006/05/05 14:29:40  zbyniu
- removed unneeded patches; CC, CFLAGS; proper %files; todo added

Revision 1.14  2006/05/05 14:03:24  paszczus
- added libnjb-Makefile.patch
- fixed build
- added files
- release 1

Revision 1.13  2006/05/05 13:11:48  paszczus
- updated to 2.2.5
- added libnjb-ncurses.patch
- release 0.1, NFY

Revision 1.12  2005/03/15 19:58:27  qboosh
- simplified install, killed files dup

Revision 1.11  2005/03/15 19:49:32  qboosh
- fixed changelog format, killed some braindamage

Revision 1.10  2005/03/14 15:02:02  spider
- adaptarized

Revision 1.9  2005/03/14 13:50:12  megabajt
- fixed source1
- more %%doc and macros
- other cosmetics

Revision 1.8  2005/03/14 03:58:54  mick3y
- fixed what I've broken
- added md5 sums

Revision 1.7  2005/03/14 03:43:47  mick3y
- cosmetic

Revision 1.6  2005/03/14 03:32:11  mick3y
- rewritten
- spec needs to be cleaned though

Revision 1.5  2005/03/13 19:28:48  darekr
- removed INSTALL from %doc, added README

Revision 1.4  2005/03/13 19:11:27  darekr
- pl description

Revision 1.3  2005/03/13 17:54:32  darekr
- fixed Source0, reorders

Revision 1.2  2005/03/13 17:41:23  darekr
- adapterized, cosmetics
- removed "-m 755; -m 644" from %%install
- added %verify(); md5sum
- removed %dir /etc/hotplug/usb (belongs to hotplug.spec)

Revision 1.1  2005/03/13 17:05:36  mick3y
- draft version only
- ripped from RH spec
